:
# NAME:
#	defgw - guess the default gateway
#
# DESCRIPTION:
#	This script looks at the routes learned by routed and picks
#	the most popular one as a possible default gateway.
#
# AUTHOR:
#	Simon J. Gerraty <sjg@crufty.net>
#
#	

# RCSid:
#	$Id: defgw.sh,v 1.2 2001/08/30 09:55:54 sjg Exp $
#
#	@(#) Copyright (c) 1995 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

# . this file from others if you want 
TF=/tmp/.defgw.out

# we use a file other than the one typically used for picking
# defaultrouter, so that this can exist without interfering...
# Note that we do not create it...

DEFAULT_GATEWAY=${DEFAULT_GATEWAY:-/etc/default_gateway}

DEFGW=${DEFGW:-`[ -s $DEFAULT_GATEWAY ] && cat $DEFAULT_GATEWAY`}

if [ "x$DEFGW" = x ]; then
	netstat -rn | awk '/UG/ { print $2 }' | sort | uniq -c | sort -n |
		awk '{ print $2":"$1 }' > $TF
	DEFGW=`[ -s $TF ] && tail -1 $TF | cut -d: -f1`
fi

export DEFGW DEFAULT_GATEWAY

